Bug 14033 - Cannot build Android project due to recursive activation
Summary: Cannot build Android project due to recursive activation
Status: VERIFIED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: MSBuild (show other bugs)
Version: 4.6.x
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Jonathan Pryor
URL:
: 15117 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-08-16 10:21 UTC by Marek Safar
Modified: 2014-03-27 07:33 UTC (History)
6 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Marek Safar 2013-08-16 10:21:18 UTC
http://screencast.com/t/xXHyNwKpO
Comment 1 Jonathan Pryor 2013-08-28 15:19:59 UTC
Fixed in monodroid/c72287db.
Comment 2 Jonathan Pryor 2013-10-02 21:20:44 UTC
*** Bug 15117 has been marked as a duplicate of this bug. ***
Comment 3 Saurabh 2014-01-20 09:25:52 UTC
Here, activation feature has been slightly changed. now, as soon as user logged in with an Xamarin account having any license, it activates that license at once.

Here, I activates business license by adding a restricted feature. When we login with an Xamarin account having business license, it activates business license successfully and activation does not stuck in recursive activation. Also application build successfully.

We have checked this with master builds:

XS 4.2.3 (build 127) 
Git revision: 781819ed590c05a48201be53eb9602b56a4c1fde
Xamarin addins: cc120a6f639fa6649aa4d23a0f0e7c5701134047

mono-android-4.13.0-33(Master for Mac)

Screencast: http://screencast.com/t/1KqUpn4puYf

Please let us know, if we have to check recursive activation through any other way.

As of now closing this issue.
Comment 4 Mikayla Hutchinson [MSFT] 2014-01-20 14:45:20 UTC
The issue here was that mandroid did not pick up changes in license after the first build.

A way to check it would be:
1) log out, so entitlements are starter
2) open an existing project that uses indie or business features
3) build the project
4) it will show  "you need to log in" error
5) log in as a user with indie/business license
6) it should succeed and rebuild the project

If the bug is not fixed, then steps 4 and 5 will loop
Comment 5 Mohit Kheterpal 2014-03-27 07:33:26 UTC
Today I have checked this issue by following the steps mention in comment 4, and I am able to activate license successfully and build the project.

Hence closing this issue.

Note You need to log in before you can comment on or make changes to this bug.